<?php
require_once 'settings.php';
function imageresizeheight($img, $newheight) {
	$oldheight = imagesy($img);
	$oldwidth  = imagesx($img);
	$newwidth  = $oldwidth * ($newheight / $oldheight);
	$newimg = imagecreatetruecolor($newwidth, $newheight);
	imagecopyresized($newimg, $img, 0, 0, 0, 0, $newwidth, $newheight, $oldwidth, $oldheight);
	return $newimg;
}
function imageresizewidth($img, $newwidth) {
	$oldheight = imagesy($img);
	$oldwidth  = imagesx($img);
	$newheight  = $oldheight * ($newwidth / $oldwidth);
	$newimg = imagecreatetruecolor($newwidth, $newheight);
	imagecopyresampled($newimg, $img, 0, 0, 0, 0, $newwidth, $newheight, $oldwidth, $oldheight);
	return $newimg;
}
function is_admin() {
	return in_array($_SERVER['REMOTE_ADDR'], $ADMIN_IPS);
}
function format_func($type) {
	global $IMAGE_TYPES;
	if (!in_array($type, array_keys($IMAGE_TYPES))) {
		return false;
	}
	return $IMAGE_TYPES[$type];
}
function doheader() {
	if (defined('HEADER_DONE')) return;
	define('HEADER_DONE', true);
	global $PAGE_TITLE;
	$pt = htmlentities($PAGE_TITLE);
	echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">', "\n";
	echo '<html lang="en-US">', "\n";
	echo "<head>\n";
	echo "<title>$pt</title>\n";
	echo '<link rel="stylesheet" href="style.css" type="text/css">', "\n";
	echo "</head>\n";
	echo "<body>\n";
	echo "<div>\n";
	echo "<h1>$pt</h1>\n";
	echo "<div id=\"content\">\n";
}
function dofooter() {
	if (defined('FOOTER_DONE')) return;
	define('FOOTER_DONE', true);
	echo "</div>\n";
	echo "</div>\n";
	echo "</body>\n";
	echo "</html>\n";
}
function doerror($msg) {
	doheader();
	echo "<p>$msg</p>\n";
	dofooter();
	die;
}
function mynl2br($text, $xhtml = false) {
	if ($xhtml) {
		$slash = ' /';
	} else {
		$slash = '';
	}
	$text = preg_replace("/(\r\n|\n|\r)/", "<br$slash>", $text);
	return $text;
}
?>
